﻿Imports MySql.Data.MySqlClient

Public Class MySQLConnectionDialog

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim con As MySqlConnection = New MySqlConnection
        con.ConnectionString = "Server=" + MSHost.Text + ";Port=" + MSPort.Text + ";Database=" + MSDB.Text + ";Uid=" + MSUser.Text + ";Pwd=" + MSPass.Text + ";"
        Try
            con.Open()
        Catch ex As MySqlException
            MsgBox("Can't connect to the server! Error message: " + ex.Message + " (Error code " + ex.Number.ToString + ")", MsgBoxStyle.Critical And MsgBoxStyle.OkOnly, " FUUUUUUUUU-")
        End Try
        If con.State = ConnectionState.Open Then
            Form1.DBStatus.Text = "Connected!"
            Form1.DBStatus.ForeColor = Color.Green
            con.Close()
            Me.Close()
        End If
    End Sub

    Private Sub MSPort_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MSPort.TextChanged
        If Not IsNumeric(MSPort.Text) Then
            MsgBox("Ports only have numbers! Use the default port if you don't know wich port your server uses.", MsgBoxStyle.Information And MsgBoxStyle.OkOnly, ":O")
            MSPort.Text = "3306"
            MSPort.Focus()
        End If
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.Close()
    End Sub
End Class