﻿Imports MySql.Data.MySqlClient

Module mysqlFuncs
    Sub getTableColums(ByVal table As String, ByVal lv As ListView)
        Dim con As New MySqlConnection
        Dim query As New MySqlCommand
        Dim reader As MySqlDataReader
        con.ConnectionString = "Server=" + MySQLConnectionDialog.MSHost.Text + ";Port=" + MySQLConnectionDialog.MSPort.Text + ";Database=" + MySQLConnectionDialog.MSDB.Text + ";Uid=" + MySQLConnectionDialog.MSUser.Text + ";Pwd=" + MySQLConnectionDialog.MSPass.Text + ";"
        Try
            con.Open()
        Catch ex As MySqlException
            MsgBox("Can't connect to the server! Error message: " + ex.Message + " (Error code " + ex.Number.ToString + ")", MsgBoxStyle.Critical And MsgBoxStyle.OkOnly, " FUUUUUUUUU-")
        End Try
        If con.State = ConnectionState.Open Then
            query.Connection = con
            query.CommandText = "DESCRIBE " + table + ";"
            reader = query.ExecuteReader()
            While reader.Read()
                lv.Items.Add(reader.GetString(0))
            End While
            
        End If
    End Sub

    Sub getItemName(ByVal itemid As String, ByVal tb As TextBox)
        Dim con As New MySqlConnection
        Dim query As New MySqlCommand
        Dim reader As MySqlDataReader
        con.ConnectionString = "Server=" + MySQLConnectionDialog.MSHost.Text + ";Port=" + MySQLConnectionDialog.MSPort.Text + ";Database=" + MySQLConnectionDialog.MSDB.Text + ";Uid=" + MySQLConnectionDialog.MSUser.Text + ";Pwd=" + MySQLConnectionDialog.MSPass.Text + ";"
        Try
            con.Open()
        Catch ex As MySqlException
            MsgBox("Can't connect to the server! Error message: " + ex.Message + " (Error code " + ex.Number.ToString + ")", MsgBoxStyle.Critical And MsgBoxStyle.OkOnly, " FUUUUUUUUU-")
        End Try
        If con.State = ConnectionState.Open Then
            query.Connection = con
            query.CommandText = "SELECT name FROM stringdata WHERE type = 1 AND objectid = " + itemid + " LIMIT 1"
            reader = query.ExecuteReader()
            reader.Read()
            If reader.HasRows Then
                tb.Text = reader.GetString(0)
            Else
                tb.Text = "{Item not found}"
            End If
        End If
    End Sub

    Sub getNPCName(ByVal npcid As String)
        Dim con As New MySqlConnection
        Dim query As New MySqlCommand
        Dim reader As MySqlDataReader
        con.ConnectionString = "Server=" + MySQLConnectionDialog.MSHost.Text + ";Port=" + MySQLConnectionDialog.MSPort.Text + ";Database=" + MySQLConnectionDialog.MSDB.Text + ";Uid=" + MySQLConnectionDialog.MSUser.Text + ";Pwd=" + MySQLConnectionDialog.MSPass.Text + ";"
        Try
            con.Open()
        Catch ex As MySqlException
            MsgBox("Can't connect to the server! Error message: " + ex.Message + " (Error code " + ex.Number.ToString + ")", MsgBoxStyle.Critical And MsgBoxStyle.OkOnly, " FUUUUUUUUU-")
        End Try
        If con.State = ConnectionState.Open Then
            query.Connection = con
            query.CommandText = "SELECT name FROM stringdata WHERE type = 5 AND objectid = " + npcid + " LIMIT 1"
            reader = query.ExecuteReader()
            reader.Read()
            If reader.HasRows Then
                Form1.NPCName.Text = reader.GetString(0)
            Else
                Form1.NPCName.Text = "{NPC Name not found}"
            End If
        End If
    End Sub

    Function getAmountOfRows(ByVal type As Integer) As Integer
        Dim con As New MySqlConnection
        Dim query As New MySqlCommand
        Dim reader As MySqlDataReader
        con.ConnectionString = "Server=" + MySQLConnectionDialog.MSHost.Text + ";Port=" + MySQLConnectionDialog.MSPort.Text + ";Database=" + MySQLConnectionDialog.MSDB.Text + ";Uid=" + MySQLConnectionDialog.MSUser.Text + ";Pwd=" + MySQLConnectionDialog.MSPass.Text + ";"
        Try
            con.Open()
        Catch ex As MySqlException
            MsgBox("Can't connect to the server! Error message: " + ex.Message + " (Error code " + ex.Number.ToString + ")", MsgBoxStyle.Critical And MsgBoxStyle.OkOnly, " FUUUUUUUUU-")
        End Try
        If con.State = ConnectionState.Open Then
            query.Connection = con
            query.CommandText = "SELECT * FROM stringdata WHERE type = " + type.ToString
            reader = query.ExecuteReader()
            Dim i As Integer = 0
            While reader.Read
                i += 1
            End While
            reader.Close()
            Return i
        End If
    End Function

    Sub getValuesByType(ByVal box As ListBox, ByVal arr() As Integer, ByVal type As Integer)
        Dim con As New MySqlConnection
        Dim query As New MySqlCommand
        Dim reader As MySqlDataReader
        con.ConnectionString = "Server=" + MySQLConnectionDialog.MSHost.Text + ";Port=" + MySQLConnectionDialog.MSPort.Text + ";Database=" + MySQLConnectionDialog.MSDB.Text + ";Uid=" + MySQLConnectionDialog.MSUser.Text + ";Pwd=" + MySQLConnectionDialog.MSPass.Text + ";"
        Try
            con.Open()
        Catch ex As MySqlException
            MsgBox("Can't connect to the server! Error message: " + ex.Message + " (Error code " + ex.Number.ToString + ")", MsgBoxStyle.Critical And MsgBoxStyle.OkOnly, " FUUUUUUUUU-")
        End Try
        If con.State = ConnectionState.Open Then
            query.Connection = con
            query.CommandText = "SELECT * FROM stringdata WHERE type = " + type.ToString + " ORDER BY name ASC"
            reader = query.ExecuteReader()
            box.Items.Clear()
            If Not reader.HasRows Then
                box.Items.Add("Error!")
                reader.Close()
            Else
                Dim i As Integer = 0
                While reader.Read
                    box.Items.Add(reader.GetValue(reader.GetOrdinal("name")))
                    arr(i) = reader.GetValue(reader.GetOrdinal("objectid"))
                    i += 1
                End While
                reader.Close()
            End If
        End If
    End Sub

    Sub executeSQLQuery(ByVal DaQuery As String)
        Dim con As New MySqlConnection
        Dim query As New MySqlCommand
        con.ConnectionString = "Server=" + MySQLConnectionDialog.MSHost.Text + ";Port=" + MySQLConnectionDialog.MSPort.Text + ";Database=" + MySQLConnectionDialog.MSDB.Text + ";Uid=" + MySQLConnectionDialog.MSUser.Text + ";Pwd=" + MySQLConnectionDialog.MSPass.Text + ";"
        Try
            con.Open()
        Catch ex As MySqlException
            MsgBox("Can't connect to the server! Error message: " + ex.Message + " (Error code " + ex.Number.ToString + ")", MsgBoxStyle.Critical And MsgBoxStyle.OkOnly, " FUUUUUUUUU-")
        End Try
        If con.State = ConnectionState.Open Then
            query.Connection = con
            query.CommandText = DaQuery
            query.ExecuteNonQuery()
        End If
    End Sub
End Module
